{ stdenv
, scdoc
, pipe-viewer
, libnotify
, xclip
, mpv
, ...
}:
stdenv.mkDerivation rec {
  pname = "arbit";
  version = "v1.2";

  src = ./.;

  buildInputs = [ scdoc ];

  propogatedbuildinputs = [
    pipe-viewer
    libnotify
    xclip
    mpv
  ];

  buildPhase = ''
    scdoc < arbit.1.scd > arbit.1
  '';

  installPhase = ''
    mkdir -p $out/bin $out/share/{man/man1,zsh/site-functions}
    cp arbit $out/bin/
    cp arbit.1 $out/share/man/man1/
    cp zsh.completion $out/share/zsh/site-functions/_arbit
  '';
}
